Package de.gebit.integrity.remoting.transport.enums

## Enum TestRunnerCallbackMethods

- java.lang.Object
- - java.lang.Enum<TestRunnerCallbackMethods>
  - - de.gebit.integrity.remoting.transport.enums.TestRunnerCallbackMethods

- All Implemented Interfaces:
    `Serializable`, `Comparable<TestRunnerCallbackMethods>`

      public enum TestRunnerCallbackMethods
      extends Enum<TestRunnerCallbackMethods>

  An enum list of all TestRunnerCallback methods. Being used by certain callbacks to communicate between fork and master.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORT_EXECUTION` |
    `CALL_FINISH` |
    `CALL_START` |
    `EXECUTION_FINISH` |
    `EXECUTION_START` |
    `RETURN_ASSIGNMENT` |
    `SETUP_FINISH` |
    `SETUP_START` |
    `SUITE_FINISH` |
    `SUITE_START` |
    `TABLE_TEST_FINISH` |
    `TABLE_TEST_ROW_FINISH` |
    `TABLE_TEST_ROW_START` |
    `TABLE_TEST_START` |
    `TEAR_DOWN_FINISH` |
    `TEAR_DOWN_START` |
    `TEST_FINISH` |
    `TEST_START` |
    `TIME_SET_FINISH` |
    `TIME_SET_START` |
    `VARIABLE_ASSIGNMENT` |
    `VARIABLE_DEFINITION` |
    `VISIBLE_COMMENT` |
    `VISIBLE_DIVIDER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TestRunnerCallbackMethods` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TestRunnerCallbackMethods[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXECUTION_START

          public static final TestRunnerCallbackMethods EXECUTION_START

    - #### SUITE_START

          public static final TestRunnerCallbackMethods SUITE_START

    - #### SETUP_START

          public static final TestRunnerCallbackMethods SETUP_START

    - #### SETUP_FINISH

          public static final TestRunnerCallbackMethods SETUP_FINISH

    - #### TEST_START

          public static final TestRunnerCallbackMethods TEST_START

    - #### TEST_FINISH

          public static final TestRunnerCallbackMethods TEST_FINISH

    - #### TABLE_TEST_START

          public static final TestRunnerCallbackMethods TABLE_TEST_START

    - #### TABLE_TEST_ROW_START

          public static final TestRunnerCallbackMethods TABLE_TEST_ROW_START

    - #### TABLE_TEST_ROW_FINISH

          public static final TestRunnerCallbackMethods TABLE_TEST_ROW_FINISH

    - #### TABLE_TEST_FINISH

          public static final TestRunnerCallbackMethods TABLE_TEST_FINISH

    - #### CALL_START

          public static final TestRunnerCallbackMethods CALL_START

    - #### CALL_FINISH

          public static final TestRunnerCallbackMethods CALL_FINISH

    - #### TEAR_DOWN_START

          public static final TestRunnerCallbackMethods TEAR_DOWN_START

    - #### TEAR_DOWN_FINISH

          public static final TestRunnerCallbackMethods TEAR_DOWN_FINISH

    - #### SUITE_FINISH

          public static final TestRunnerCallbackMethods SUITE_FINISH

    - #### EXECUTION_FINISH

          public static final TestRunnerCallbackMethods EXECUTION_FINISH

    - #### VARIABLE_DEFINITION

          public static final TestRunnerCallbackMethods VARIABLE_DEFINITION

    - #### VARIABLE_ASSIGNMENT

          public static final TestRunnerCallbackMethods VARIABLE_ASSIGNMENT

    - #### RETURN_ASSIGNMENT

          public static final TestRunnerCallbackMethods RETURN_ASSIGNMENT

    - #### VISIBLE_COMMENT

          public static final TestRunnerCallbackMethods VISIBLE_COMMENT

    - #### VISIBLE_DIVIDER

          public static final TestRunnerCallbackMethods VISIBLE_DIVIDER

    - #### ABORT_EXECUTION

          public static final TestRunnerCallbackMethods ABORT_EXECUTION

    - #### TIME_SET_START

          public static final TestRunnerCallbackMethods TIME_SET_START

    - #### TIME_SET_FINISH

          public static final TestRunnerCallbackMethods TIME_SET_FINISH

  - ### Method Detail

    - #### values

          public static TestRunnerCallbackMethods[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestRunnerCallbackMethods c : TestRunnerCallbackMethods.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestRunnerCallbackMethods valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null